Activity log for bug #960967

Date Who What changed Old value New value Message
2012-03-21 08:52:19 Manuel dos Santos bug added bug
2012-03-21 08:52:42 Manuel dos Santos visibility private public
2012-03-21 08:53:57 Manuel dos Santos description Impossible save picture ... ProblemType: Crash DistroRelease: Ubuntu 12.04 Package: eog 3.3.92-0ubuntu1 ProcVersionSignature: Ubuntu 3.2.0-19.30-generic-pae 3.2.11 Uname: Linux 3.2.0-19-generic-pae i686 ApportVersion: 1.94.1-0ubuntu2 Architecture: i386 CrashCounter: 1 Date: Wed Mar 21 09:48:37 2012 ExecutablePath: /usr/bin/eog InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012) ProcCmdline: eog /home/User Name/Documents/scan\ hp/f&a.jpg ProcEnviron: LANG=fr_FR.UTF-8 SHELL=/bin/bash SegvAnalysis: Segfault happened at: 0x80a5819 <jtransform_execute_transform+265>: mov (%esi,%ecx,4),%eax PC (0x080a5819) ok source "(%esi,%ecx,4)" (0x65158272) not located in a known VMA region (needed readable region)! destination "%eax" ok Stack memory exhausted (SP below stack segment) SegvReason: reading unknown VMA Signal: 11 SourcePackage: eog StacktraceTop: jtransform_execute_transform () ?? () eog_image_save_by_info () ?? () eog_job_run () Title: eog crashed with SIGSEGV in jtransform_execute_transform() UpgradeStatus: Upgraded to precise on 2012-03-20 (0 days ago) UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare Impossible save picture after looking it, i try to close anq when i save, it crash ... ProblemType: Crash DistroRelease: Ubuntu 12.04 Package: eog 3.3.92-0ubuntu1 ProcVersionSignature: Ubuntu 3.2.0-19.30-generic-pae 3.2.11 Uname: Linux 3.2.0-19-generic-pae i686 ApportVersion: 1.94.1-0ubuntu2 Architecture: i386 CrashCounter: 1 Date: Wed Mar 21 09:48:37 2012 ExecutablePath: /usr/bin/eog InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012) ProcCmdline: eog /home/User Name/Documents/scan\ hp/f&a.jpg ProcEnviron:  LANG=fr_FR.UTF-8  SHELL=/bin/bash SegvAnalysis:  Segfault happened at: 0x80a5819 <jtransform_execute_transform+265>: mov (%esi,%ecx,4),%eax  PC (0x080a5819) ok  source "(%esi,%ecx,4)" (0x65158272) not located in a known VMA region (needed readable region)!  destination "%eax" ok  Stack memory exhausted (SP below stack segment) SegvReason: reading unknown VMA Signal: 11 SourcePackage: eog StacktraceTop:  jtransform_execute_transform ()  ?? ()  eog_image_save_by_info ()  ?? ()  eog_job_run () Title: eog crashed with SIGSEGV in jtransform_execute_transform() UpgradeStatus: Upgraded to precise on 2012-03-20 (0 days ago) UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
2012-03-21 08:54:22 Manuel dos Santos description Impossible save picture after looking it, i try to close anq when i save, it crash ... ProblemType: Crash DistroRelease: Ubuntu 12.04 Package: eog 3.3.92-0ubuntu1 ProcVersionSignature: Ubuntu 3.2.0-19.30-generic-pae 3.2.11 Uname: Linux 3.2.0-19-generic-pae i686 ApportVersion: 1.94.1-0ubuntu2 Architecture: i386 CrashCounter: 1 Date: Wed Mar 21 09:48:37 2012 ExecutablePath: /usr/bin/eog InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012) ProcCmdline: eog /home/User Name/Documents/scan\ hp/f&a.jpg ProcEnviron:  LANG=fr_FR.UTF-8  SHELL=/bin/bash SegvAnalysis:  Segfault happened at: 0x80a5819 <jtransform_execute_transform+265>: mov (%esi,%ecx,4),%eax  PC (0x080a5819) ok  source "(%esi,%ecx,4)" (0x65158272) not located in a known VMA region (needed readable region)!  destination "%eax" ok  Stack memory exhausted (SP below stack segment) SegvReason: reading unknown VMA Signal: 11 SourcePackage: eog StacktraceTop:  jtransform_execute_transform ()  ?? ()  eog_image_save_by_info ()  ?? ()  eog_job_run () Title: eog crashed with SIGSEGV in jtransform_execute_transform() UpgradeStatus: Upgraded to precise on 2012-03-20 (0 days ago) UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare Impossible save picture. After looking it, i try to close anq when i save, it crash ... ProblemType: Crash DistroRelease: Ubuntu 12.04 Package: eog 3.3.92-0ubuntu1 ProcVersionSignature: Ubuntu 3.2.0-19.30-generic-pae 3.2.11 Uname: Linux 3.2.0-19-generic-pae i686 ApportVersion: 1.94.1-0ubuntu2 Architecture: i386 CrashCounter: 1 Date: Wed Mar 21 09:48:37 2012 ExecutablePath: /usr/bin/eog InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012) ProcCmdline: eog /home/User Name/Documents/scan\ hp/f&a.jpg ProcEnviron:  LANG=fr_FR.UTF-8  SHELL=/bin/bash SegvAnalysis:  Segfault happened at: 0x80a5819 <jtransform_execute_transform+265>: mov (%esi,%ecx,4),%eax  PC (0x080a5819) ok  source "(%esi,%ecx,4)" (0x65158272) not located in a known VMA region (needed readable region)!  destination "%eax" ok  Stack memory exhausted (SP below stack segment) SegvReason: reading unknown VMA Signal: 11 SourcePackage: eog StacktraceTop:  jtransform_execute_transform ()  ?? ()  eog_image_save_by_info ()  ?? ()  eog_job_run () Title: eog crashed with SIGSEGV in jtransform_execute_transform() UpgradeStatus: Upgraded to precise on 2012-03-20 (0 days ago) UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
2012-03-21 09:02:44 Apport retracing service bug added subscriber Crash bug triagers for Ubuntu packages
2012-03-21 09:02:47 Apport retracing service attachment added Stacktrace.txt https://bugs.launchpad.net/bugs/960967/+attachment/2908716/+files/Stacktrace.txt
2012-03-21 09:02:48 Apport retracing service attachment added ThreadStacktrace.txt https://bugs.launchpad.net/bugs/960967/+attachment/2908717/+files/ThreadStacktrace.txt
2012-03-21 09:02:51 Apport retracing service attachment removed CoreDump.gz https://bugs.launchpad.net/bugs/960967/+attachment/2908594/+files/CoreDump.gz
2012-03-21 09:02:53 Apport retracing service eog (Ubuntu): importance Undecided Medium
2012-03-21 09:02:54 Apport retracing service summary eog crashed with SIGSEGV in jtransform_execute_transform() eog crashed with SIGSEGV in do_rot_270()
2012-03-21 09:02:57 Apport retracing service tags apport-crash i386 need-i386-retrace precise apport-crash i386 precise
2012-03-21 11:19:01 Vadim Rutkovsky eog (Ubuntu): status New Incomplete
2012-03-21 12:54:36 Manuel dos Santos attachment added f&a.jpg https://bugs.launchpad.net/ubuntu/+source/eog/+bug/960967/+attachment/2909708/+files/f%26a.jpg
2012-03-22 08:45:06 Vadim Rutkovsky eog (Ubuntu): status Incomplete New
2012-03-29 13:14:15 Launchpad Janitor eog (Ubuntu): status New Confirmed
2012-04-18 16:54:42 Sebastien Bacher affects eog (Ubuntu) libjpeg-turbo (Ubuntu)
2012-04-18 16:54:52 Sebastien Bacher affects libjpeg-turbo (Ubuntu) libjpeg8 (Ubuntu)
2012-04-18 17:06:14 Sebastien Bacher affects libjpeg8 (Ubuntu) libjpeg-turbo (Ubuntu)
2012-04-19 15:05:28 Tom Gall libjpeg-turbo (Ubuntu): assignee Tom Gall (tom-gall)
2012-04-19 21:41:59 Tom Gall attachment added 03_initjpegtransform.patch https://bugs.launchpad.net/ubuntu/+source/libjpeg-turbo/+bug/960967/+attachment/3094655/+files/03_initjpegtransform.patch
2012-04-19 21:45:37 Tom Gall affects libjpeg-turbo (Ubuntu) eog (Ubuntu)
2012-04-19 21:45:37 Tom Gall eog (Ubuntu): status Confirmed In Progress
2012-04-19 21:47:35 Tom Gall bug added subscriber Tom Gall
2012-04-20 00:12:23 Ubuntu Foundations Team Bug Bot tags apport-crash i386 precise apport-crash i386 patch precise
2012-04-20 00:12:30 Ubuntu Foundations Team Bug Bot bug added subscriber Ubuntu Review Team
2012-04-20 08:23:26 Matthias Klose bug task added libjpeg-turbo (Ubuntu)
2012-04-20 08:23:41 Matthias Klose nominated for series Ubuntu Precise
2012-04-20 08:23:41 Matthias Klose bug task added eog (Ubuntu Precise)
2012-04-20 08:23:41 Matthias Klose bug task added libjpeg-turbo (Ubuntu Precise)
2012-04-20 08:24:02 Matthias Klose libjpeg-turbo (Ubuntu Precise): importance Undecided Medium
2012-04-20 08:24:02 Matthias Klose libjpeg-turbo (Ubuntu Precise): status New Triaged
2012-04-20 08:24:02 Matthias Klose libjpeg-turbo (Ubuntu Precise): milestone precise-updates
2012-04-20 08:24:13 Matthias Klose eog (Ubuntu Precise): milestone precise-updates
2012-04-20 08:25:02 Matthias Klose attachment added libjpeg-turbo update https://bugs.launchpad.net/ubuntu/precise/+source/libjpeg-turbo/+bug/960967/+attachment/3095320/+files/libjpeg-turbbo.debdiff
2012-06-03 12:35:55 Felix Riemann bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=675569
2012-06-03 12:35:55 Felix Riemann bug task added eog
2012-06-03 13:26:45 Bug Watch Updater eog: status Unknown Fix Released
2012-06-03 13:26:45 Bug Watch Updater eog: importance Unknown High
2012-06-05 14:44:23 Sebastien Bacher eog (Ubuntu): status In Progress Fix Committed
2012-06-13 20:11:53 Sebastien Bacher eog (Ubuntu Precise): status In Progress Fix Committed
2012-06-13 20:12:02 Sebastien Bacher bug added subscriber Ubuntu Stable Release Updates Team
2012-06-13 20:21:32 Sebastien Bacher description Impossible save picture. After looking it, i try to close anq when i save, it crash ... ProblemType: Crash DistroRelease: Ubuntu 12.04 Package: eog 3.3.92-0ubuntu1 ProcVersionSignature: Ubuntu 3.2.0-19.30-generic-pae 3.2.11 Uname: Linux 3.2.0-19-generic-pae i686 ApportVersion: 1.94.1-0ubuntu2 Architecture: i386 CrashCounter: 1 Date: Wed Mar 21 09:48:37 2012 ExecutablePath: /usr/bin/eog InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012) ProcCmdline: eog /home/User Name/Documents/scan\ hp/f&a.jpg ProcEnviron:  LANG=fr_FR.UTF-8  SHELL=/bin/bash SegvAnalysis:  Segfault happened at: 0x80a5819 <jtransform_execute_transform+265>: mov (%esi,%ecx,4),%eax  PC (0x080a5819) ok  source "(%esi,%ecx,4)" (0x65158272) not located in a known VMA region (needed readable region)!  destination "%eax" ok  Stack memory exhausted (SP below stack segment) SegvReason: reading unknown VMA Signal: 11 SourcePackage: eog StacktraceTop:  jtransform_execute_transform ()  ?? ()  eog_image_save_by_info ()  ?? ()  eog_job_run () Title: eog crashed with SIGSEGV in jtransform_execute_transform() UpgradeStatus: Upgraded to precise on 2012-03-20 (0 days ago) UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare Impact: it's not possible to same changes on some images Test Case: - download https://bugs.launchpad.net/ubuntu/+source/eog/+bug/960967/+attachment/2909708/+files/f%26a.jpg - open it, rotate the image - close eog -> reply that you want to save that changes, that fails without the fix Regression potential: should be limited, that just initialize datas --- Impossible save picture. After looking it, i try to close anq when i save, it crash ... ProblemType: Crash DistroRelease: Ubuntu 12.04 Package: eog 3.3.92-0ubuntu1 ProcVersionSignature: Ubuntu 3.2.0-19.30-generic-pae 3.2.11 Uname: Linux 3.2.0-19-generic-pae i686 ApportVersion: 1.94.1-0ubuntu2 Architecture: i386 CrashCounter: 1 Date: Wed Mar 21 09:48:37 2012 ExecutablePath: /usr/bin/eog InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012) ProcCmdline: eog /home/User Name/Documents/scan\ hp/f&a.jpg ProcEnviron:  LANG=fr_FR.UTF-8  SHELL=/bin/bash SegvAnalysis:  Segfault happened at: 0x80a5819 <jtransform_execute_transform+265>: mov (%esi,%ecx,4),%eax  PC (0x080a5819) ok  source "(%esi,%ecx,4)" (0x65158272) not located in a known VMA region (needed readable region)!  destination "%eax" ok  Stack memory exhausted (SP below stack segment) SegvReason: reading unknown VMA Signal: 11 SourcePackage: eog StacktraceTop:  jtransform_execute_transform ()  ?? ()  eog_image_save_by_info ()  ?? ()  eog_job_run () Title: eog crashed with SIGSEGV in jtransform_execute_transform() UpgradeStatus: Upgraded to precise on 2012-03-20 (0 days ago) UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
2012-06-14 20:20:05 Brian Murray description Impact: it's not possible to same changes on some images Test Case: - download https://bugs.launchpad.net/ubuntu/+source/eog/+bug/960967/+attachment/2909708/+files/f%26a.jpg - open it, rotate the image - close eog -> reply that you want to save that changes, that fails without the fix Regression potential: should be limited, that just initialize datas --- Impossible save picture. After looking it, i try to close anq when i save, it crash ... ProblemType: Crash DistroRelease: Ubuntu 12.04 Package: eog 3.3.92-0ubuntu1 ProcVersionSignature: Ubuntu 3.2.0-19.30-generic-pae 3.2.11 Uname: Linux 3.2.0-19-generic-pae i686 ApportVersion: 1.94.1-0ubuntu2 Architecture: i386 CrashCounter: 1 Date: Wed Mar 21 09:48:37 2012 ExecutablePath: /usr/bin/eog InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012) ProcCmdline: eog /home/User Name/Documents/scan\ hp/f&a.jpg ProcEnviron:  LANG=fr_FR.UTF-8  SHELL=/bin/bash SegvAnalysis:  Segfault happened at: 0x80a5819 <jtransform_execute_transform+265>: mov (%esi,%ecx,4),%eax  PC (0x080a5819) ok  source "(%esi,%ecx,4)" (0x65158272) not located in a known VMA region (needed readable region)!  destination "%eax" ok  Stack memory exhausted (SP below stack segment) SegvReason: reading unknown VMA Signal: 11 SourcePackage: eog StacktraceTop:  jtransform_execute_transform ()  ?? ()  eog_image_save_by_info ()  ?? ()  eog_job_run () Title: eog crashed with SIGSEGV in jtransform_execute_transform() UpgradeStatus: Upgraded to precise on 2012-03-20 (0 days ago) UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare Impact: it's not possible to save changes on some images Test Case: - download https://bugs.launchpad.net/ubuntu/+source/eog/+bug/960967/+attachment/2909708/+files/f%26a.jpg - open it, rotate the image - close eog -> reply that you want to save that changes, that fails without the fix Regression potential: should be limited, that just initialize datas --- Impossible save picture. After looking it, i try to close anq when i save, it crash ... ProblemType: CrashDistroRelease: Ubuntu 12.04 Package: eog 3.3.92-0ubuntu1 ProcVersionSignature: Ubuntu 3.2.0-19.30-generic-pae 3.2.11 Uname: Linux 3.2.0-19-generic-pae i686 ApportVersion: 1.94.1-0ubuntu2 Architecture: i386 CrashCounter: 1 Date: Wed Mar 21 09:48:37 2012 ExecutablePath: /usr/bin/eog InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012) ProcCmdline: eog /home/User Name/Documents/scan\ hp/f&a.jpg ProcEnviron:  LANG=fr_FR.UTF-8  SHELL=/bin/bash SegvAnalysis:  Segfault happened at: 0x80a5819 <jtransform_execute_transform+265>: mov (%esi,%ecx,4),%eax  PC (0x080a5819) ok  source "(%esi,%ecx,4)" (0x65158272) not located in a known VMA region (needed readable region)!  destination "%eax" ok  Stack memory exhausted (SP below stack segment) SegvReason: reading unknown VMA Signal: 11SourcePackage: eog StacktraceTop:  jtransform_execute_transform ()  ?? ()  eog_image_save_by_info ()  ?? ()  eog_job_run () Title: eog crashed with SIGSEGV in jtransform_execute_transform() UpgradeStatus: Upgraded to precise on 2012-03-20 (0 days ago) UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
2012-06-26 03:33:04 Chris Halse Rogers bug added subscriber SRU Verification
2012-06-26 03:33:07 Chris Halse Rogers tags apport-crash i386 patch precise apport-crash i386 patch precise verification-needed
2012-07-04 13:27:06 Sebastien Bacher tags apport-crash i386 patch precise verification-needed apport-crash i386 patch precise verification-done
2012-07-05 05:26:09 Launchpad Janitor eog (Ubuntu Precise): status Fix Committed Fix Released
2012-07-05 05:28:20 Scott Kitterman eog (Ubuntu): milestone precise-updates ubuntu-12.10-beta-1
2012-09-10 23:41:15 Kate Stewart nominated for series Ubuntu Quantal
2012-09-10 23:41:15 Kate Stewart bug task added eog (Ubuntu Quantal)
2012-09-10 23:41:15 Kate Stewart bug task added libjpeg-turbo (Ubuntu Quantal)
2012-09-10 23:41:31 Kate Stewart eog (Ubuntu Quantal): milestone ubuntu-12.10-beta-1 ubuntu-12.10-beta-2
2012-09-10 23:41:37 Kate Stewart libjpeg-turbo (Ubuntu Quantal): milestone precise-updates ubuntu-12.10-beta-2
2013-12-09 20:55:47 Launchpad Janitor branch linked lp:~ubuntu-branches/ubuntu/precise/eog/precise-proposed
2014-12-03 09:57:51 Rolf Leggewie eog (Ubuntu Quantal): status Fix Committed Won't Fix
2014-12-03 09:57:57 Rolf Leggewie libjpeg-turbo (Ubuntu Quantal): status Triaged Won't Fix